import { OnDestroy, OnInit } from '@angular/core';
import { FormBuilder, FormControl, FormGroup } from '@angular/forms';
import dayjs from 'dayjs';
import { TraxService } from '../../../services/trax.service';
import { GlobalStateService, PageInfoService } from 'tango-app-ui-global';
import { ActivatedRoute } from '@angular/router';
import { Subject } from "rxjs";
import { HeaderFilter, ITask } from '../../task-configure/task-configure.interface';
import { ToastService } from 'tango-app-ui-shared';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';
import * as i0 from "@angular/core";
export declare class TaskinfoEditComponent implements OnDestroy, OnInit {
    private fb;
    private traxService;
    private pageInfo;
    private route;
    private gs;
    private toastService;
    activeModal: NgbActiveModal;
    destroy$: Subject<unknown>;
    openTime: string;
    form: FormGroup;
    checklistselectControl: FormControl;
    checklistDropdown: {
        _id: string;
        checkListName: string;
    }[];
    headerData: HeaderFilter;
    currentTaskId: string;
    dayjs: typeof dayjs;
    scheduleDate: any;
    minDate: any;
    scheduleEndTime: FormControl<string | null>;
    taskDetails: ITask | undefined;
    selectAllInput: FormControl<boolean | null>;
    approversList: {
        name: string;
        value: string;
    }[];
    approver: FormControl<any>;
    priorityType: FormControl<string | null>;
    allowedStoreLocation: FormControl<boolean | null>;
    restrictAttendance: FormControl<boolean | null>;
    removedUsers: Set<string>;
    editRequestData: any;
    constructor(fb: FormBuilder, traxService: TraxService, pageInfo: PageInfoService, route: ActivatedRoute, gs: GlobalStateService, toastService: ToastService, activeModal: NgbActiveModal);
    ngOnDestroy(): void;
    ngOnInit(): void;
    setPageData(): void;
    getTask(id: string): void;
    getCurrentTime(): string;
    get dueDateFormatted(): string;
    get dueTimeFormatted(): string;
    onUserAssignChange(event: boolean, id: string): void;
    onApproveAdded(event: any): void;
    getClientUser(): void;
    onSubmit(): void;
    closePopupAndReloadData(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TaskinfoEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TaskinfoEditComponent, "lib-taskinfo-edit", never, { "editRequestData": { "alias": "editRequestData"; "required": false; }; }, {}, never, never, false, never>;
}
